using Cassandra.Mapping;
using JiShe.CollectBus.IotSystems.Devices;
using JiShe.CollectBus.IotSystems.MessageIssueds;

namespace JiShe.CollectBus.Mappers
{
    public class CollectBusMapping: Mappings
    {
        public CollectBusMapping()
        {
            For<MessageIssued>()
                .Column(e => e.Type, cm => cm.WithName("type").WithDbType<int>());
            For<Device>()
                .Column(e => e.Status, cm => cm.WithName("status").WithDbType<int>());
        }
    }
}
